package com.prolog.upcloud.base.wh.operate.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Date 2021-06-29
 */
@ApiModel
@Table(value = "oms_inventory_result")
public class OmsInventoryResult implements Serializable {
	private static final long serialVersionUID = 4837262755876594212L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "主键")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "单据id")
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "单据编号")
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "行号")
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "单据类型1：报损单2：报溢单")
	@Column(value = "type")
	private String type;

	@ApiModelProperty(value = "业务标识（1审核 2.下发）")
	@Column(value = "businessflag")
	private String businessflag;

	@ApiModelProperty(value = "状态0：已作废10：已创建")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "业务类型")
	@Column(value = "billtype")
	private String billtype;

	@ApiModelProperty(value = "库存状态")
	@Column(value = "stockstatus")
	private String stockstatus;

	@ApiModelProperty(value = "1:wms;2:erp")
	@Column(value = "datasource")
	private String datasource;

	@ApiModelProperty(value = "单据日期")
	@Column(value = "billdate")
	private Date billdate;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主名称")
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "商品ID")
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品名称")
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "商品编码")
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "单价")
	@Column(value = "price")
	private BigDecimal price;

	@ApiModelProperty(value = "数量")
	@Column(value = "amount")
	private BigDecimal amount;

	@ApiModelProperty(value = "包装数量")
	@Column(value = "pack_amount")
	private BigDecimal packAmount;

	@ApiModelProperty(value = "包装单位")
	@Column(value = "pack_unit")
	private String packUnit;

	@ApiModelProperty(value = "总金额")
	@Column(value = "total_price")
	private BigDecimal totalPrice;

	@ApiModelProperty(value = "规格")
	@Column(value = "spec")
	private String spec;

	@ApiModelProperty(value = "产地")
	@Column(value = "place")
	private String place;

	@ApiModelProperty(value = "生产企业")
	@Column(value = "manufacturer")
	private String manufacturer;

	@ApiModelProperty(value = "批号")
	@Column(value = "batch_num")
	private String batchNum;

	@ApiModelProperty(value = "生产日期")
	@Column(value = "production_date")
	private Date productionDate;

	@ApiModelProperty(value = "有效期至")
	@Column(value = "expired_date")
	private Date expiredDate;

	@ApiModelProperty(value = "批准文号")
	@Column(value = "approval_number")
	private String approvalNumber;

	@ApiModelProperty(value = "原因")
	@Column(value = "reason")
	private String reason;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "修改人")
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "p_enterprisename")
	private String enterprisename;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "建筑物")
	@Column(value = "building")
	private String building;

	public String getBuilding() {
		return building;
	}

	public void setBuilding(String building) {
		this.building = building;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getLineid() {
		return lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getSeqno() {
		return seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getBusinessflag() {
		return businessflag;
	}

	public void setBusinessflag(String businessflag) {
		this.businessflag = businessflag;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getBilltype() {
		return billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getStockstatus() {
		return stockstatus;
	}

	public void setStockstatus(String stockstatus) {
		this.stockstatus = stockstatus;
	}

	public String getDatasource() {
		return datasource;
	}

	public void setDatasource(String datasource) {
		this.datasource = datasource;
	}

	public Date getBilldate() {
		return billdate;
	}

	public void setBilldate(Date billdate) {
		this.billdate = billdate;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getItemid() {
		return itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemname() {
		return itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getItemcode() {
		return itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public BigDecimal getPackAmount() {
		return packAmount;
	}

	public void setPackAmount(BigDecimal packAmount) {
		this.packAmount = packAmount;
	}

	public String getPackUnit() {
		return packUnit;
	}

	public void setPackUnit(String packUnit) {
		this.packUnit = packUnit;
	}

	public BigDecimal getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(BigDecimal totalPrice) {
		this.totalPrice = totalPrice;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public Date getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}

	public Date getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getAttrStr1() {
		return attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public String getEnterpriseid() {
		return enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
